Summary:        Simple API to the client side of various internet protocols
Name:           perl-libnet
Version:        3.15
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/libnet
Source0:        https://cpan.metacpan.org/authors/id/S/SH/SHAY/libnet-%{version}.tar.gz
Patch3000:      libnet-3.08-Do-not-create-Net-libnet.cfg.patch

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict) perl(warnings)
# Run-time
BuildRequires:  perl(Carp) perl(constant) perl(Errno) perl(Exporter)
BuildRequires:  perl(FileHandle) perl(Fcntl) perl(IO::Select)
BuildRequires:  perl(IO::Socket) >= 1.05
BuildRequires:  perl(IO::Socket::IP) >= 0.25
BuildRequires:  perl(Socket) >= 2.016
BuildRequires:  perl(POSIX) perl(Symbol) perl(Time::Local)
%if !%{defined perl_bootstrap}
BuildRequires:  perl(IO::Socket::SSL) >= 2.007
%endif
# Tests
BuildRequires:  perl(Config) perl(Cwd) perl(File::Temp) perl(IO::File)
BuildRequires:  perl(Test::More)
BuildArch:      noarch

Requires:       perl(IO::Socket) >= 1.05
Requires:       perl(IO::Socket::IP) >= 0.25
Requires:       perl(Socket) >= 2.016
Requires:       perl(POSIX) perl(File::Basename) perl(Digest::MD5)
%if !%{defined perl_bootstrap}
Suggests:       perl(Authen::SASL)
Suggests:       perl(MIME::Base64)
Suggests:       perl(IO::Socket::SSL) >= 2.007
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((IO::Socket|Socket)\\)$

%description
libnet is a collection of Perl modules which provides a simple and
consistent programming interface (API) to the client side of various
protocols used in the internet community.

For details of each protocol please refer to the RFC. RFCs can be found in
various places on the web, for a starting point look at https://www.rfc-editor.org/.
The RFCs implemented in this distribution are:
        Net::FTP        RFC959          File Transfer Protocol
        Net::NNTP       RFC977          Network News Transfer Protocol
        Net::POP3       RFC1939         Post Office Protocol 3
        Net::SMTP       RFC821          Simple Mail Transfer Protocol
        Net::Time       RFC867          Daytime Protocol
        Net::Time       RFC868          Time Protocol


%prep
%autosetup -n libnet-%{version} -p1


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build


%install
%make_install
%{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%license Artistic Copying LICENCE
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.15-2
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 01 2023 Xiaojie Chen <jackxjchen@tencent.com> - 3.15-1
- Upgrade to upstream version 3.15
- Remove perl(MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.14-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Aug 10 2022 rockerzhu <rockerzhu@tencent.com> - 3.14-1
- Initial build
